<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-besar-bayar-heading">Create or edit a Besar Bayar</h2>
            <div>
                <jhi-alert-error></jhi-alert-error>
                <!-- <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id"
                        readonly />
                </div> -->

                <div class="form-group">
                    <label class="form-control-label" for="field_kelas">Kelas</label>
                    <select class="form-control" id="field_kelas" name="kelas" formControlName="kelas">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="kelasOption.id === editForm.get('kelas')!.value?.id ? editForm.get('kelas')!.value : kelasOption" *ngFor="let kelasOption of kelas; trackBy: trackById">{{kelasOption.nama}}</option>
                    </select>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_jenisBayar">Jenis Bayar</label>
                    <select class="form-control" id="field_jenisBayar" name="jenisBayar" formControlName="jenisBayar">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="jenisPembayaranOption.id === editForm.get('jenisBayar')!.value?.id ? editForm.get('jenisBayar')!.value : jenisPembayaranOption" *ngFor="let jenisPembayaranOption of jenispembayarans; trackBy: trackById">{{jenisPembayaranOption.jenis}}</option>
                    </select>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_nominal">Nominal</label>
                    <input type="number" class="form-control" name="nominal" id="field_nominal"
                           formControlName="nominal"/>
                </div>
            </div>
            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary"  (click)="previousState()">
                    <fa-icon [icon]="'ban'"></fa-icon>&nbsp;<span>Cancel</span>
                </button>
                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon [icon]="'save'"></fa-icon>&nbsp;<span>Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
